import faker from 'faker';
faker.locale = 'sv';

const HANDELSER = [
  'Gemensam planering inkommen',
  'Gemensam planering godkänd',
  'Slutredovisning inkommen',
  'Slutredovisning godkänd',
  'Slutredovisning ej godkänd',
  'Avbrott handläggs',
  'Avbrott bifall',
  'Avbrott avslag',
  'Byte av leverantör bifall',
];

const TIDPUNKT_DESCRIPTION = ['Handläggning startad', 'Inrapporteringsdatum slutredovisning'];

function generateHandelser(amount = 10) {
  const handelser = [];

  for (let id = 1; id <= amount; ++id) {
    const handelse = HANDELSER[Math.floor(Math.random() * HANDELSER.length)];
    handelser.push({
      description: handelse,
      receivedDate: faker.date.recent(),
      isAvbrott: handelse.indexOf('Avbrott') >= 0,
      tidpunkt: faker.date.recent(),
      tidpunktDescription: TIDPUNKT_DESCRIPTION[Math.floor(Math.random() * TIDPUNKT_DESCRIPTION.length)],
    });
  }
  return handelser;
}

export default {
  generate: generateHandelser,
};
